//
//  InterfaceController.swift
//  mapAddImageAnnotation WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // MapとOutlet接続する
    @IBOutlet weak var myMap: WKInterfaceMap!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // 鎌倉駅
        let coordinate = CLLocationCoordinate2D(latitude: 35.3190307, longitude: 139.5507029)
        // 緯度／経度をMapの座標に変換する
        let center = MKMapPointForCoordinate(coordinate)
        // 指定座標を中心にした1km x 1kmの範囲
        let width:Double = 1000
        let height:Double = 1000
        let x = center.x-width/2
        let y = center.y-height/2
        let mapRect = MKMapRectMake(x, y, width, height)
        // 指定座標に画像のアノテーションを貼る
        
        myMap.addAnnotation(coordinate, withImageNamed:"runPin", centerOffset:CGPointMake(0, -10))
        // 地図を表示する
        myMap.setVisibleMapRect(mapRect)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
