//
//  InterfaceController.swift
//  mapSetRegion WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    
    // MapとOutlet接続する
    @IBOutlet weak var myMap: WKInterfaceMap!
    
    // 京都ボタンとAction接続する
    @IBAction func gotoKyoto() {
        // 京都の緯度／経度
        let coordinate = CLLocationCoordinate2D(latitude: 35.0061, longitude: 135.76095)
        let span = MKCoordinateSpanMake(1, 1)
        let region = MKCoordinateRegionMake(coordinate, span)
        // Mapに表示する
        myMap.setRegion(region)
    }
    
    // 札幌ボタンとAction接続する
    @IBAction func gotoSapporo() {
        // 札幌の緯度／経度
        let coordinate = CLLocationCoordinate2D(latitude: 43.05945, longitude: 141.3705)
        let span = MKCoordinateSpanMake(1, 1)
        let region = MKCoordinateRegionMake(coordinate, span)
        // Mapに表示する
        myMap.setRegion(region)
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // 京都を表示する
        gotoKyoto()
    }
    
    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
