//
//  InterfaceController.swift
//  mapZoom WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // MapをOutlet接続する
    @IBOutlet weak var myMap: WKInterfaceMap!
    // プロパティ宣言
    var region:MKCoordinateRegion
    
    // プロパティの初期化
    override init(){
        // 京都の緯度／経度
        let coordinate = CLLocationCoordinate2D(latitude: 35.0061, longitude: 135.76095)
        let span = MKCoordinateSpanMake(1, 1)
        region = MKCoordinateRegionMake(coordinate, span)
    }
    
    // ズームイン
    @IBAction func zoomIn() {
        // 縮尺を半分にする
        var span = region.span
        span = MKCoordinateSpanMake(span.latitudeDelta * 0.5, span.longitudeDelta * 0.5)
        region = MKCoordinateRegionMake(region.center, span)
        // マップに表示する
        myMap.setRegion(region)
    }
    
    // ズームアウト
    @IBAction func zoomOut() {
        // 縮尺を倍にする
        var span = region.span
        span = MKCoordinateSpanMake(span.latitudeDelta * 2, span.longitudeDelta * 2)
        region = MKCoordinateRegionMake(region.center, span)
        // マップに表示する
        myMap.setRegion(region)
    }
    
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // 初期値のエリアを表示する
        myMap.setRegion(region)
    }

    
    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
