//
//  InterfaceController.swift
//  buttonSetAttributedTitle WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // ３個のボタンとOutlet接続しておく
    @IBOutlet weak var myButton1: WKInterfaceButton!
    @IBOutlet weak var myButton2: WKInterfaceButton!
    @IBOutlet weak var myButton3: WKInterfaceButton!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // タイトルの文言
        let str1 = "Hello!!"
        let str2 = "World"
        let str3 = "予約する"
        // ３種類のストリング属性を作る
        let attributedStr1 = NSMutableAttributedString(string: str1)
        let attributedStr2 = NSMutableAttributedString(string: str2)
        let attributedStr3 = NSMutableAttributedString(string: str3)
        
        // 白文字、赤背景
        attributedStr1.addAttributes([
            //NSFontAttributeName:UIFont(name:"Menlo", size: 18)!,
            NSForegroundColorAttributeName: UIColor.whiteColor(),
            NSBackgroundColorAttributeName:UIColor.redColor()
            ], range: NSMakeRange(0, count(str1)))
        // 青文字、袋文字
        attributedStr2.addAttributes([
            NSForegroundColorAttributeName: UIColor.blueColor(),
            NSStrokeWidthAttributeName: 2.0
            ], range: NSMakeRange(0, count(str2)))
        // 灰色文字、打ち消し線
        attributedStr3.addAttributes([
            NSForegroundColorAttributeName: UIColor.grayColor(),
            NSStrikethroughStyleAttributeName:2,
            ], range: NSMakeRange(0, count(str3)))
        
        // ボタンにタイトルに設定する
        myButton1.setAttributedTitle(attributedStr1)
        myButton2.setAttributedTitle(attributedStr2)
        myButton3.setAttributedTitle(attributedStr3)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
