//
//  InterfaceController.swift
//  buttonSetAttributedTitle_yellow WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/02.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // ボタンをOutlet接続しておく
    @IBOutlet weak var myButton: WKInterfaceButton!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // 文字が黄色で下線付きの属性の辞書を作る
        let attrs = [NSForegroundColorAttributeName : UIColor.yellowColor(),
                            NSUnderlineStyleAttributeName: NSUnderlineStyle.StyleDouble.rawValue]
        // アトリビュートを設定したストリングを作る
        let attributedString = NSAttributedString(string: "My Text", attributes: attrs)
        
        // ボタンのタイトルに設定する
        myButton.setAttributedTitle(attributedString)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
