//
//  InterfaceController.swift
//  checkButton WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/04.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // イメージとOutlet接続する
    @IBOutlet weak var checkImage: WKInterfaceImage!
    
    // チェックの状態
    var isChecked = false

    // ボタンとAction接続する
    @IBAction func checkButton() {
        // チェックされているならば
        if isChecked {
            // チェックされてない画像にする
            checkImage.setImageNamed("check_off")
            isChecked = false
        } else {
            // チェックされている画像にする
            checkImage.setImageNamed("check_on")
            isChecked = true
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Configure interface objects here.
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
