//
//  InterfaceController.swift
//  sliderSetColor WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/07.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    //スライダとOutlet接続する
    @IBOutlet weak var mySlider: WKInterfaceSlider!
    
    // スライダとAction接続する
    @IBAction func changedValue(value: Float) {
        // 現在値に応じてスライダの色を決める
        mySlider.setColor(getTheColor(value))
    }

    // スライダの初期設定を行う
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
 
        // スライダの値
        let theValue:Float? = 0.4
        // スライダの最初の値と色を設定する
        if let startValue = theValue {
            // スライダを有効にする
            mySlider.setEnabled(true)
            // ステップ数を設定する
            mySlider.setNumberOfSteps(10)
            // 初期値に応じた色にする
            let theColor = getTheColor(startValue)
            mySlider.setColor(theColor)
            // スライダに初期値を設定する
            mySlider.setValue(startValue)
        } else {
            // 値がnilのときはスライダを無効にする
            mySlider.setValue(0)
            mySlider.setEnabled(false)
        }
    }
    
    // スライダの値に応じた色を返す
    func getTheColor(value:Float) -> UIColor {
        var theColor:UIColor
        if value <= 0.2 {
            theColor = UIColor.redColor()
        } else if value <= 0.4 {
            theColor = UIColor.yellowColor()
        } else {
            theColor = UIColor.blueColor()
        }
        return theColor
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
