//
//  InterfaceController.swift
//  labelFontForTextStyle WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // ラベルとOutlet接続する
    @IBOutlet weak var myLabel1: WKInterfaceLabel!
    @IBOutlet weak var myLabel2: WKInterfaceLabel!
    @IBOutlet weak var myLabel3: WKInterfaceLabel!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Caption1
        var font1 = UIFont.preferredFontForTextStyle(UIFontTextStyleCaption1)
        let attrs1 = [NSFontAttributeName: font1]
        let attributedString1 = NSAttributedString(string: "Caption1", attributes: attrs1)
        myLabel1.setAttributedText(attributedString1)
        
        // Headline
        var font2 = UIFont.preferredFontForTextStyle(UIFontTextStyleHeadline)
        let attrs2 = [NSFontAttributeName: font2]
        let attributedString2 = NSAttributedString(string: "Headline", attributes: attrs2)
        myLabel2.setAttributedText(attributedString2)
        
        // Footnote + RedColor
        var font3 = UIFont.preferredFontForTextStyle(UIFontTextStyleFootnote)
        let attrs3 = [NSFontAttributeName: font3,
            NSForegroundColorAttributeName: UIColor.redColor()]
        let attributedString3 = NSAttributedString(string: "Footnote, RedColor", attributes: attrs3)
        myLabel3.setAttributedText(attributedString3)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
