//
//  InterfaceController.swift
//  labelSetAttributedText WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/09.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {

    // ラベルをOutlet接続する
    @IBOutlet weak var myLabel1: WKInterfaceLabel!
    @IBOutlet weak var myLabel2: WKInterfaceLabel!
    @IBOutlet weak var myLabel3: WKInterfaceLabel!
    @IBOutlet weak var myLabel4: WKInterfaceLabel!
    @IBOutlet weak var myLabel5: WKInterfaceLabel!
    @IBOutlet weak var myLabel6: WKInterfaceLabel!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // アトリビュートの辞書
        // 下線
        let attrs1 = [NSUnderlineStyleAttributeName: NSUnderlineStyle.StyleSingle.rawValue]
        // 打ち消し
        let attrs2 = [NSStrikethroughStyleAttributeName: NSUnderlineStyle.StyleDouble.rawValue]
        // 文字色、背景色の指定
        let attrs3 = [NSForegroundColorAttributeName: UIColor.yellowColor(),
                                    NSBackgroundColorAttributeName:UIColor.orangeColor()]
        // 黄色の袋文字（アウトライン）の指定
        let attrs4 = [NSStrokeWidthAttributeName:NSUnderlineStyle.StyleThick.rawValue,
            NSStrokeColorAttributeName: UIColor.yellowColor()]
        
        // アトリビュートテキストを作る
        let attributedString1 = NSAttributedString(string: "Keep Beach Clean", attributes: attrs1)
        let attributedString2 = NSAttributedString(string: "Keep Beach Clean", attributes: attrs2)
        let attributedString3 = NSAttributedString(string: "Keep Beach Clean", attributes: attrs3)
        let attributedString4 = NSAttributedString(string: "Keep Beach Clean", attributes: attrs4)
        
        // ラベルに設定する
        myLabel1.setAttributedText(attributedString1)
        myLabel2.setAttributedText(attributedString2)
        myLabel3.setAttributedText(attributedString3)
        myLabel4.setAttributedText(attributedString4)
        
        
        // 修正可能な属性付きストリングを作る
        let attributedString5 = NSMutableAttributedString(string: "Keep Beach Clean")
        // 範囲指定で文字色を設定する
        attributedString5.addAttribute(NSForegroundColorAttributeName,
            value: UIColor.redColor(),
            range: NSMakeRange(5,5))
        // 範囲指定で背景色を設定する
        attributedString5.addAttribute(NSBackgroundColorAttributeName,
            value: UIColor.greenColor(),
            range: NSMakeRange(0,4))
        attributedString5.addAttribute(NSBackgroundColorAttributeName,
            value: UIColor.yellowColor(),
            range: NSMakeRange(5,5))
        attributedString5.addAttribute(NSBackgroundColorAttributeName,
            value: UIColor.orangeColor(),
            range: NSMakeRange(11,5))
        // ラベルに設定する
        myLabel5.setAttributedText(attributedString5)
        
        // 影を作る
        let shadow = NSShadow()
        shadow.shadowOffset = CGSizeMake(2.0, 2.0) //影のずれ
        shadow.shadowBlurRadius = 3.0 // ぼかし半径
        shadow.shadowColor = UIColor.blackColor() //影の色
        // 影、背景色の指定
        let attrs6 = [NSShadowAttributeName:shadow,
                                NSForegroundColorAttributeName: UIColor.blackColor()]
        let attributedString6 = NSAttributedString(string: "Keep Beach Clean", attributes: attrs6)
        // ラベルに設定する
        myLabel6.setAttributedText(attributedString6) 
    }
    
    

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
