//
//  InterfaceController.swift
//  labelSetColor WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    
    // ラベルをOutlet接続する
    @IBOutlet weak var myLabel: WKInterfaceLabel!
    
    // ボタンとAction接続する
    @IBAction func calc() {
        // -5〜5の乱数
        let num = Int(arc4random_uniform(11)) - 5
        let ans = "値は" + num.description + "です。"
        // ラベルに表示する
        myLabel.setText(ans)
        // ラベルの色を設定する
        if num < 0 {
            myLabel.setTextColor(UIColor.redColor())
        } else {
            myLabel.setTextColor(UIColor.whiteColor())
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // 最初に表示する値を設定する
        calc()
    }
    

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
