//
//  InterfaceController.swift
//  labelSystemFontSize WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    
    // ラベルとOutlet接続する
    @IBOutlet weak var myLabel1: WKInterfaceLabel!
    @IBOutlet weak var myLabel2: WKInterfaceLabel!
    @IBOutlet weak var myLabel3: WKInterfaceLabel!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // SystemFont 20
        var font1 = UIFont.systemFontOfSize(20)
        let attrs1 = [NSFontAttributeName: font1]
        let attributedString1 = NSAttributedString(string: "SystemFont 20", attributes: attrs1)
        myLabel1.setAttributedText(attributedString1)
        
        // SystemFont Italic 12
        var font2 = UIFont.italicSystemFontOfSize(12)
        let attrs2 = [NSFontAttributeName: font2]
        let attributedString2 = NSAttributedString(string: "SystemFont Italic 12", attributes: attrs2)
        myLabel2.setAttributedText(attributedString2)
        
        // SystemFont Bold 12
        var font3 = UIFont.boldSystemFontOfSize(12)
        let attrs3 = [NSFontAttributeName: font3]
        let attributedString3 = NSAttributedString(string: "SystemFont Bold 12", attributes: attrs3)
        myLabel3.setAttributedText(attributedString3)
        
        println(font1)
        println(font2)
        println(font3)
    }


    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
