//
//  InterfaceController.swift
//  dateSetNSCalendar WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/13.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // DateをOutlet接続する
    @IBOutlet weak var theDate1: WKInterfaceDate!
    @IBOutlet weak var theDate2: WKInterfaceDate!
    @IBOutlet weak var theDate3: WKInterfaceDate!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // カレンダーを作る
        let gregorian = NSCalendar(calendarIdentifier: NSCalendarIdentifierGregorian)
        let japanese = NSCalendar(calendarIdentifier: NSCalendarIdentifierJapanese)
        let buddhist = NSCalendar(calendarIdentifier: NSCalendarIdentifierBuddhist)
        // Dateにカレンダーを設定する
        theDate1.setCalendar(gregorian)
        theDate2.setCalendar(japanese)
        theDate3.setCalendar(buddhist)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
