//
//  InterfaceController.swift
//  dateSetTextColor WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/13.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // DateとOutlet接続する
    @IBOutlet weak var myDate: WKInterfaceDate!
    
    // Dateに色を付ける
    func setDateColor() {
        // カレンダーを得る
        let calendar = NSCalendar.currentCalendar()
        // 曜日と時刻
        let flags: NSCalendarUnit = .CalendarUnitWeekday | .CalendarUnitHour
        let comps = calendar.components(flags, fromDate: NSDate())
        let weekday = comps.weekday // 曜日（日〜土、1〜7）
        let hour = comps.hour // 時
        // 曜日と時間帯で文字色を変える
        if weekday>=2 && weekday<=6 {
            //月曜〜金曜（2〜6）
            switch hour {
            case (0...8):
                myDate.setTextColor(UIColor.grayColor())
            case (9...16):
                myDate.setTextColor(UIColor.greenColor())
            case (17...23):
                myDate.setTextColor(UIColor.redColor())
            default:
                break
            }
        } else {
            //土曜、日曜
            switch hour {
            case (9...23):
                myDate.setTextColor(UIColor.yellowColor())
            default:
                myDate.setTextColor(UIColor.grayColor())
            }
        }
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        // 起動時にDateの色を設定する
        setDateColor()
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
