//
//  InterfaceController.swift
//  timerCountDownDate WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/17.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // タイマーをOutlet接続する
    @IBOutlet weak var myTimer: WKInterfaceTimer!
    // 指定日時
    let theDate:NSDate?
    
    // 初期値の準備
    override init(){
        // 指定日時コンポーネント
        let theComps = NSDateComponents()
        theComps.year = 2015
        theComps.month = 11
        theComps.day = 3
        theComps.hour = 8
        theComps.minute = 0
        theComps.second = 0
        // 指定日時を作る
        let theCalendar = NSCalendar(calendarIdentifier: NSCalendarIdentifierGregorian)
        theDate = theCalendar!.dateFromComponents(theComps)
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // タイマーに指定日時をセットする
        myTimer.setDate(theDate!)
        // カウントダウンをスタートする
        myTimer.start()
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
