//
//  InterfaceController.swift
//  timerStartStop WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/17.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    // タイマーをOutlet接続する
    @IBOutlet weak var myTimer: WKInterfaceTimer!
    // ボタンをOutlet接続する
    @IBOutlet weak var myButton: WKInterfaceButton!
    // タイマーが動作中かどうかを示すフラグ
    var isActive:Bool = false

    // ボタンとAction接続する
    @IBAction func startStop() {
        // 動作中ならストップし、停止中ならスタートする
        if isActive {
            // タイマーを止める
            myTimer.stop()
            // タイマーのテキストをグレイにする
            myTimer.setTextColor(UIColor.grayColor())
            // ボタンのタイトルをSTARTに変更する
            myButton.setTitle("START")
            isActive = false
        } else {
            // 現在時刻からタイマーをスタートする
            myTimer.setDate(NSDate())
            myTimer.start()
            // タイマーのテキストを黄色にする
            myTimer.setTextColor(UIColor.yellowColor())
            // ボタンのタイトルをSTOPに変更する
            myButton.setTitle("STOP")
            isActive = true
        }
    }

    // 起動時の設定
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
         myTimer.setDate(NSDate())
        // ボタンタイトルをSTARTにする
        myButton.setTitle("START")
        // タイマーのテキストをグレイにする
        myTimer.setTextColor(UIColor.grayColor())
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
        
       
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
