//
//  InterfaceController.swift
//  addCachedImage WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // ImageをOutlet接続する
    @IBOutlet weak var myImage: WKInterfaceImage!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // 画像データを読み込む
        let imageData = UIImage(named: "sun")
        // Apple Watchを取得する
        let theWatch = WKInterfaceDevice.currentDevice()
        // キャッシュに読み込んで名前を付ける
        let done = theWatch.addCachedImage(imageData!, name: "cashedSun")
        // キャッシュされたならばImageにキャッシュイメージを表示する
        if done {
            myImage.setImageNamed("cashedSun")
        }
    }
    

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
