//
//  InterfaceController.swift
//  groupBkgroundImage WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/02/24.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation

class InterfaceController: WKInterfaceController {

    // GroupをOutlet接続する
    @IBOutlet weak var bkgGroup: WKInterfaceGroup!
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Apple Watchを取得する
        let theWatch = WKInterfaceDevice.currentDevice()
        // スクリーンサイズを調べる
        let bounds = theWatch.screenBounds
        // 38mmと42mmで画像を変える
        var imageData:UIImage?
        if bounds.width > 136 {
            imageData = UIImage(named: "redStar")
        } else {
            imageData = UIImage(named: "redBall")
        }
        // キャッシュに読み込んで名前を付ける
        let done = theWatch.addCachedImage(imageData!, name: "bkgImage")
        // Groupの背景画像にキャッシュイメージを設定する
        if done {
            bkgGroup.setBackgroundImageNamed("bkgImage")
        }
        
        // 四隅の角を直角にする
        bkgGroup.setCornerRadius(0)
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
