//
//  InterfaceController.swift
//  imageAnimation WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {

    // カエルのImageとOutlet接続する
    @IBOutlet weak var myImage: WKInterfaceImage!
    
    // スイッチとAction接続する
    @IBAction func animationOnOff(value: Bool) {
        if value {
            // Imageにアニメーションのセットを設定する
            myImage.setImageNamed("frogKaiten")
            // アニメーションをスタートする
            myImage.startAnimating()
        } else {
            // アニメーションを止める
            myImage.stopAnimating()
            // Imageに最初のイメージを設定する
            myImage.setImageNamed("frogKaiten0")
        }
    }
    
    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
