//
//  InterfaceController.swift
//  imageAnimationInRange WatchKit Extension
//
//  Created by yoshiyuki oshige on 2015/04/01.
//  Copyright (c) 2015年 yoshiyuki oshige. All rights reserved.
//

import WatchKit
import Foundation


class InterfaceController: WKInterfaceController {
    
    // ボタンとイメージをOutlet接続する
    @IBOutlet weak var myButton: WKInterfaceButton!
    @IBOutlet weak var myImage: WKInterfaceImage!
    // アニメーションするイメージの枚数
    var imageCount:UInt32 = 7
    
    @IBAction func tapButton() {
        // 0〜imageCount-1の乱数
        let num = Int(arc4random_uniform(imageCount))
        
        // 数字をボタンに表示する
        myButton.setTitle(String(num))
        
        //アニメーションの開始位置と枚数
        let range = NSMakeRange(0, num + 1)
        // アニメーションを１回再生する
        myImage.startAnimatingWithImagesInRange(range, duration: 1.0, repeatCount:1 )
    }
    
    override func awakeWithContext(context: AnyObject?) {
        super.awakeWithContext(context)
        
        // Imageにアニメーションのセットを設定する
        myImage.setImageNamed("petal")
        myButton.setTitle("START")
    }

    override func willActivate() {
        // This method is called when watch view controller is about to be visible to user
        super.willActivate()
    }

    override func didDeactivate() {
        // This method is called when watch view controller is no longer visible
        super.didDeactivate()
    }

}
